%define rname ldetect
%define name ruby-%{rname}
%define version 0.0.1
%define release 3mdk

Summary: Ruby binding for libdetect
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://people.mandrakesoft.com/~pterjan/soft/ruby-ldetect/
Source0: http://people.mandrakesoft.com/~pterjan/soft/ruby-ldetect/download/%{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.8
BuildRequires: ruby-devel ldetect-devel

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
Ruby/LDetect is a Ruby binding for Mandrakesoft's libdetect.
It allows hardware detection and mapping to known modules.

%prep
%setup -q 

%build
ruby extconf.rb
make

%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{ruby_archdir}/*.so
%doc COPYING README sample.rb

%changelog
* Tue Apr 12 2005 Pascal Terjan <pterjan@mandrake.org> 0.0.1-3mdk
- ship sample.rb

* Wed Mar 31 2005 Pascal Terjan <pterjan@mandrake.org> 0.0.1-2mdk
- lib64 fix

* Thu Feb 17 2005 Pascal Terjan <pterjan@mandrake.org> 0.0.1-1mdk 
- first mdk release
